<?php

namespace GriffinForms\Admin\App\Html\Elements;

use \GriffinForms\Traits\Singleton;

class ShimmerPlaceholder
{
    use Singleton;

    public function getHtml($height = '1rem', $opacity = 1.0, $echo = true)
    {
        $html = '<div class="gf-shimmer-placeholder" style="height: ' . esc_attr($height) . '; opacity: ' . esc_attr($opacity) . ';"></div>';
        if ($echo) {
            echo wp_kses_post($html);
        } else {
            return $html;
        }
    }
}